Method: projects.locations.orders.create

在指定專案和位置建立新訂單。

HTTP 要求

POST https://gdchardwaremanagement.googleapis.com/v1alpha/{parent=projects/*/locations/*}/orders

這個網址使用 gRPC 轉碼語法。

路徑參數

參數
parent

string

這是必要旗標,要建立訂單的專案和位置。格式:projects/{project}/locations/{location}

查詢參數

參數
orderId

string

選用。用來在父項範圍內識別訂單的專屬 ID。這個欄位最多只能包含 63 個字元,且開頭必須是小寫字元。只能使用小寫英文字母、數字和 -。- 字元不得位於開頭或結尾。如未設定這個欄位,系統會使用自動產生的 ID。

系統會忽略要求中的 order.name 欄位。

requestId

string

選用。這項要求的專屬 ID (選用)。請參閱 AIP-155。

要求主體

要求主體包含 Order 的執行個體。

回應主體

如果成功,回應主體會包含新建立的 Operation 執行個體。

授權範圍

需要下列 OAuth 範圍:

  • https://www.googleapis.com/auth/cloud-platform

詳情請參閱Authentication Overview。

IAM 權限

需要 parent 資源的下列 IAM 權限:

  • gdchardwaremanagement.orders.create

詳情請參閱 IAM 說明文件。